<?php
/**
 * MailTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CommunicationManagerClient\Dto;
use \Ensi\CommunicationManagerClient\ObjectSerializer;

/**
 * MailTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип письма. Расшифровка значений:   * &#x60;order-paid&#x60; - Письмо покупателю об оплаченном заказе   * &#x60;order-cancelled&#x60; - Письмо покупателю об отмененном заказе   * &#x60;order-delivered&#x60; - Письмо покупателю о доставленном заказе   * &#x60;order-returned&#x60; - Письмо покупателю о недоставленном заказе   * &#x60;manager-order-paid&#x60; - Письмо сотруднику об оплаченном заказе   * &#x60;manager-order-cancelled&#x60; - Письмо сотруднику об отмененном заказе   * &#x60;manager-order-delivered&#x60; - Письмо сотруднику о доставленном заказе   * &#x60;manager-order-returned&#x60; - Письмо сотруднику о недоставленном заказе
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class MailTypeEnum
{
    
    /** Письмо покупателю об оплаченном заказе */
    public const ORDER_PAID = 'order-paid';
    
    /** Письмо покупателю об отмененном заказе */
    public const ORDER_CANCELLED = 'order-cancelled';
    
    /** Письмо покупателю о доставленном заказе */
    public const ORDER_DELIVERED = 'order-delivered';
    
    /** Письмо покупателю о недоставленном заказе */
    public const ORDER_RETURNED = 'order-returned';
    
    /** Письмо сотруднику об оплаченном заказе */
    public const MANAGER_ORDER_PAID = 'manager-order-paid';
    
    /** Письмо сотруднику об отмененном заказе */
    public const MANAGER_ORDER_CANCELED = 'manager-order-cancelled';
    
    /** Письмо сотруднику о доставленном заказе */
    public const MANAGER_ORDER_DELIVERED = 'manager-order-delivered';
    
    /** Письмо сотруднику о недоставленном заказе */
    public const MANAGER_ORDER_RETURNED = 'manager-order-returned';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::ORDER_PAID,
            self::ORDER_CANCELLED,
            self::ORDER_DELIVERED,
            self::ORDER_RETURNED,
            self::MANAGER_ORDER_PAID,
            self::MANAGER_ORDER_CANCELED,
            self::MANAGER_ORDER_DELIVERED,
            self::MANAGER_ORDER_RETURNED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::ORDER_PAID => 'Письмо покупателю об оплаченном заказе',
            self::ORDER_CANCELLED => 'Письмо покупателю об отмененном заказе',
            self::ORDER_DELIVERED => 'Письмо покупателю о доставленном заказе',
            self::ORDER_RETURNED => 'Письмо покупателю о недоставленном заказе',
            self::MANAGER_ORDER_PAID => 'Письмо сотруднику об оплаченном заказе',
            self::MANAGER_ORDER_CANCELED => 'Письмо сотруднику об отмененном заказе',
            self::MANAGER_ORDER_DELIVERED => 'Письмо сотруднику о доставленном заказе',
            self::MANAGER_ORDER_RETURNED => 'Письмо сотруднику о недоставленном заказе',
        ];
    }
}


